## visad.data.netcdf.units
Class Parser

    java.lang.Object
      visad.data.units.Parser
          visad.data.netcdf.units.Parser

Deprecated. Use `visad.data.units.Parser` instead

public class Parser
extends Parser

Field Summary

Fields inherited from class visad.data.units.Parser
`parser, unitParser`

Constructor Summary
`Parser()` Deprecated.

Method Summary
`static Unit` `parse(String spec)` Deprecated. Parse a unit specification.

Methods inherited from class visad.data.units.Parser
`instance, main`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Parser

    public Parser()

  Deprecated.

Method Detail

### parse

    public static Unit parse(String spec)
                      throws ParseException,
                             NoSuchUnitException

  Deprecated. Use `visad.data.units.Parser.parse(spec)` instead

  Description copied from class: `Parser`
  Parse a unit specification.

  Throws:
    `ParseException`
    `NoSuchUnitException`